Bug 180699 - deskutils/gnotime: Update to version 2.4.1
Summary: deskutils/gnotime: Update to version 2.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 19:10 UTC by tkato432
Modified: 2013-07-22 16:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.30 KB, patch)
2013-07-20 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-07-20 19:10:06 UTC
- Update to version 2.4.1
Comment 1 Edwin Groothuis freebsd_committer 2013-07-20 19:11:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-22 16:32:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-22 16:32:55 UTC
Author: miwi
Date: Mon Jul 22 15:32:41 2013
New Revision: 323471
URL: http://svnweb.freebsd.org/changeset/ports/323471

Log:
  - Update to 2.4.1
  
  PR:		180699
  Submitted by:	ports fury

Modified:
  head/deskutils/gnotime/Makefile
  head/deskutils/gnotime/distinfo   (contents, props changed)

Modified: head/deskutils/gnotime/Makefile
==============================================================================
--- head/deskutils/gnotime/Makefile	Mon Jul 22 15:32:10 2013	(r323470)
+++ head/deskutils/gnotime/Makefile	Mon Jul 22 15:32:41 2013	(r323471)
@@ -1,9 +1,8 @@
 # Created by: Martin Klaffenboeck <martin.klaffenboeck@gmx.at>
 # $FreeBSD$
-#   $MCom: ports/deskutils/gnotime/Makefile,v 1.24 2009/11/28 05:58:58 mezz Exp $
+
 PORTNAME=	gnotime
-PORTVERSION=	2.3.0
-PORTREVISION=	8
+PORTVERSION=	2.4.1
 CATEGORIES=	deskutils gnome
 MASTER_SITES=	SF/gttr/${PORTNAME}/${PORTNAME}-${PORTVERSION} \
 		SF/qof/qof/${QOF_VERSION}:qof
@@ -11,41 +10,50 @@ DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:DE
 		${QOF_DISTNAME}${EXTRACT_SUFX}:qof
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A time tracker for gnome2
+COMMENT=	Time tracker for gnome2
+
+LICENSE=	GPLv2 # (or later)
 
-LIB_DEPENDS=	guile.21:${PORTSDIR}/lang/guile
+LIB_DEPENDS=	guile:${PORTSDIR}/lang/guile
 
+USES=		gettext gmake pathfix
 USE_XORG=	xscrnsaver
-USES=        pathfix gettext
 USE_GNOME=	gnomeprefix gtkhtml3 intlhack libgnomeui
-USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool libltdl
 LIBTOOLFILES=	configure ../${QOF_DISTNAME}/configure
-CONFIGURE_ENV=	LIBQOF_CFLAGS="${LIBQOF_CFLAGS}" LIBQOF_LIBS="${LIBQOF_LIBS}"
+CONFIGURE_ENV=	GUILE_CFLAGS="$$(guile-config compile)" \
+		GUILE_LIBS="$$(guile-config link)" \
+		LIBQOF_CFLAGS="${LIBQOF_CFLAGS}" \
+		LIBQOF_LIBS="${LIBQOF_LIBS}"
+CONFIGURE_ARGS=	--disable-silent-rules
 USE_LDCONFIG=	yes
 INSTALLS_OMF=	yes
 
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
 MAN1=		gnotime.1 gnotime-remote.1
 GCONF_SCHEMAS=	gnotime.schemas
 
 QOF_VERSION=	0.7.5
 QOF_DISTNAME=	qof-${QOF_VERSION}
 QOF_WRKSRC=	${WRKDIR}/${QOF_DISTNAME}
-
-CPPFLAGS+=	-I${LOCALBASE}/include `pkg-config --cflags libgnomeui-2.0`
-LDFLAGS+=	-L${LOCALBASE}/lib `pkg-config --libs libgnomeui-2.0`
 LIBQOF_CFLAGS=	-I${QOF_WRKSRC}/qof
 LIBQOF_LIBS=	-L${QOF_WRKSRC}/qof/.libs -lqof
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		'/CFLAGS=/s|-g2||g' ${QOF_WRKSRC}/configure
+		'/^AM_CFLAGS =/s|-g||' ${WRKSRC}/src/Makefile.in
+	@${REINPLACE_CMD} -e \
+		'/CFLAGS=/s|-g2||' ${QOF_WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		's|__isleap|qof_date_isleap|' ${QOF_WRKSRC}/qof/qofdate.c
 	@${REINPLACE_CMD} -e \
-		's|__isleap|qof_date_isleap|g' ${QOF_WRKSRC}/qof/qofdate.c
+		's|^inline|static inline|' ${QOF_WRKSRC}/qof/qofmath128.h
 	@${FIND} ${QOF_WRKSRC} -name "Makefile.in" -print0 | \
 		${XARGS} -0 ${REINPLACE_CMD} -e \
-		'/^AM_CFLAGS =/s|-g||g ; \
-		 s|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|g'
+		'/^AM_CFLAGS =/s|-g|| ; \
+		 s|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|'
 
 pre-configure:
 	@(cd ${QOF_WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \

Modified: head/deskutils/gnotime/distinfo
==============================================================================
--- head/deskutils/gnotime/distinfo	Mon Jul 22 15:32:10 2013	(r323470)
+++ head/deskutils/gnotime/distinfo	Mon Jul 22 15:32:41 2013	(r323471)
@@ -1,4 +1,4 @@
-SHA256 (gnotime-2.3.0.tar.gz) = 556e9bdc7704fa6bebce51581046d6c68b2428cd83e5fffae3f53e5a22906f24
-SIZE (gnotime-2.3.0.tar.gz) = 1987788
+SHA256 (gnotime-2.4.1.tar.gz) = b25a9d94cdb7e08c18f115eddddd32a6e23834416355fcaed852260b6b2f6410
+SIZE (gnotime-2.4.1.tar.gz) = 1767643
 SHA256 (qof-0.7.5.tar.gz) = 39dbb47f59ef33d4754f622c4afcc201862743dbd974172f19be0c19cb53428c
 SIZE (qof-0.7.5.tar.gz) = 906010
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"